<?php
/**
 * @copyright	Copyright (C) 2010-2011 HIKASHOP SARL - All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */
defined('_JEXEC') or die('Restricted access');
if(!defined('DS'))
	define('DS', DIRECTORY_SEPARATOR);
if(!@include_once(rtrim(JPATH_ADMINISTRATOR,DS).DS.'components'.DS.'com_hikashop'.DS.'helpers'.DS.'helper.php')){
	return;
};

if(!class_exists('plgCommunityHikaShop')) {
	class plgCommunityHikaShop extends CApplications {
		var $name		= "My Orders";
		var $_name		= "orders";

		function __construct(& $subject, $config){
			parent::__construct($subject, $config);
		}

		function onProfileDisplay(){
			$my = JFactory::getUser();
			$user =& CFactory::getActiveProfile();

			//only you can see your orders
			if (empty($my->id) || empty($user) || $my->id != $user->id)
				return;

			//load order info
			$database = JFactory::getDBO();
			$searchMap = array('a.order_id','a.order_status');
			$filters = array('a.order_user_id='.hikashop_loadUser());

			$order = ' ORDER BY a.order_created DESC';
			$query = 'FROM '.hikashop_table('order').' AS a WHERE '.implode(' AND ',$filters).$order;
			$database->setQuery('SELECT a.* '.$query);
			$rows = $database->loadObjectList();

			if(empty($rows))
				return;

			$currencyHelper = hikashop_get('class.currency');
			$trans = hikashop_get('helper.translation');
			$statuses = $trans->getStatusTrans();

			ob_start();
			?>
				<table class="hikashop_orders adminlist" cellpadding="1">
					<thead>
						<tr>
							<th class="title" align="center">
								<?php echo JText::_('ORDER_NUMBER'); ?>
							</th>
							<th class="title" align="center">
								<?php echo JText::_('DATE'); ?>
							</th>
							<th class="title" align="center">
								<?php echo JText::_('ORDER_STATUS'); ?>
							</th>
							<th class="title" align="center">
								<?php echo JText::_('HIKASHOP_TOTAL'); ?>
							</th>
						</tr>
					</thead>
					<tbody>
						<?php
							$k = 0;
							for($i = 0,$a = count($rows);$i<$a;$i++){
								$row =& $rows[$i];
						?>
							<tr class="<?php echo "row$k"; ?>">
								<td align="center">
									<?php
									global $Itemid;
									$url_itemid='';
									if(!empty($Itemid)){
										$url_itemid='&Itemid='.$Itemid;
									}
									?>
									<a href="<?php echo hikashop_completeLink('order&task=show&cid='.$row->order_id.$url_itemid.'&cancel_url='.urlencode(base64_encode(JRoute::_('index.php?option=com_community&view=profile&userid='.$my->id)))); ?>">
										<?php echo $row->order_number; ?>
									</a>
								</td>
								<td align="center">
									<?php echo hikashop_getDate($row->order_created,'%Y-%m-%d %H:%M');?>
								</td>
								<td align="center">
									<?php
										//get translation
										echo $statuses[$row->order_status];
									?>
								</td>
								<td align="center">
									<?php echo $currencyHelper->format($row->order_full_price,$row->order_currency_id);?>
								</td>
							</tr>
						<?php
								$k = 1-$k;
							}
						?>
					</tbody>
				</table>
			<?php

			return ob_get_clean();
		}

		function onAppDisplay(){
			return $this->onProfileDisplay();
		}
	}
}